﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1.ViewModels
{
    public class MainViewModel
    {
        private readonly GraphSource source;

        public MainViewModel()
        {
            this.source = new GraphSource();
            var shape1 = new Node() { MyContent = "Shape 1", Position = new Point(200, 160) };
            this.source.AddNode(shape1);
        }

        public GraphSource Source
        {
            get
            {
                return this.source;
            }
        }
    }
}
