﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;
using Telerik.Windows.Diagrams.Core;

namespace SilverlightApplication1.ViewModels
{
    public class Node : NodeViewModelBase
    {
        private object myContent;
        private bool isEditCancel;

        public bool IsEditCancel
        {
            get
            {
                return this.isEditCancel;
            }
            set
            {
                if (this.isEditCancel != value)
                {
                    this.isEditCancel = value;
                    this.OnPropertyChanged("IsEditCancel");
                }
            }
        }

        public object MyContent
        {
            get
            {
                return this.myContent;
            }
            set
            {
                if (this.IsEditCancel)
                {
                    this.IsEditCancel = false;
                    this.OnPropertyChanged("MyContent");
                    return;
                }

                if (this.myContent != value)
                {
                    this.myContent = value;
                    this.OnPropertyChanged("MyContent");
                }

                
            }
        }
    }
}
